import tkinter as tk
from day import Day


class Application(tk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.master = master
        self.pack()
        self.create_widgets()
        self.day = Day()

    def create_widgets(self):
        self.hi_there = tk.Button(self)
        self.hi_there.pack(side="top")

        self.quit = tk.Button(self, text="QUIT", fg="red",
                              command=self.master.destroy)
        self.quit.pack(side="bottom")

        self.begin_day = tk.Button(
            self, text="begin day", command=self.bd)
        self.begin_day.pack(side="left")

        self.end_day = tk.Button(self, text="end day", command=self.ed)
        self.end_day.pack(side="right")

        self.begin_pause = tk.Button(self, text="begin pause", command=self.mb)
        self.begin_pause.pack(side="left")

        self.end_pause = tk.Button(self, text="end pause", command=self.go)
        self.end_pause.pack(side="right")

    def bd(self):
        self.day.beginDay()
        self.hi_there["text"] = "Started day"

    def ed(self):
        self.day.endDay()
        self.hi_there["text"] = "Good Bye"

    def mb(self):
        self.day.make_break()
        self.hi_there["text"] = "Have a nice lunch"

    def go(self):
        self.day.go_on()
        self.hi_there["text"] = "Welcome back"


root = tk.Tk()
app = Application(master=root)
app.mainloop()
